Bug 1415825 - rt package lacks dependencies on Data::Page and Data::Page::Pageset
Summary: rt package lacks dependencies on Data::Page and Data::Page::Pageset
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rt
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 20:14 UTC by Jason Tibbitts
Modified: 2017-02-05 20:20 UTC (History)
3 users (show)

Fixed In Version: rt-4.4.1-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-05 20:20:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Jason Tibbitts 2017-01-23 20:14:29 UTC
I found my F25 RT installation was working fine but would generate an error when attempting to show long ticket lists:

[error]: Error during compilation of /usr/share/rt/html/Elements/CollectionListPaging:
Can't locate Data/Page.pm in @INC (you may need to install the Data::Page module) (@INC contains: /usr/share/perl5/vendor_
perl /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 . /etc/h
ttpd) at /usr/share/rt/html/Elements/CollectionListPaging line 67.

And later, after installing Data::Page:

[error]: Error during compilation of /usr/share/rt/html/Elements/CollectionListPaging:
Can't locate Data/Page/Pageset.pm in @INC (you may need to install the Data::Page::Pageset module) (@INC contains: /usr/sh
are/perl5/vendor_perl /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5 /usr/sha
re/perl5 . /etc/httpd) at /usr/share/rt/html/Elements/CollectionListPaging line 68.

Things are fine after installing both of those.  I don't think I have any non-default RT configuration settings in place which would control how pagination is done, so I'm guessing these dependencies are needed but not picked up by the dependency generator.  (Date::Page::Pageset is a build dependency already.)

Comment 1 Ralf Corsepius 2017-01-24 06:25:43 UTC
Thanks for the report. 

You are right, these deps are missing from the main rt.rpm. I am going to add these.

Comment 2 Fedora Update System 2017-01-24 07:26:02 UTC
rt-4.4.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ccf9b5437e

Comment 3 Fedora Update System 2017-01-28 19:19:42 UTC
rt-4.4.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ccf9b5437e

Comment 4 Fedora Update System 2017-02-05 20:20:30 UTC
rt-4.4.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.